Kali Linux 2018.2 выпущен с исправлениями для Spectre, Meltdown и более легкого доступа к скрипту Metasploit

Kali Linux 2018.2 выпущен со всеми обновленными пакетами и исправлениями ошибок со времени последней версии Kali Linux, выпущенной в феврале прошлого года.

Это первый дистрибутив, включающий ядро Linux 4.15, которое содержит наиболее ожидаемые исправления для уязвимостей Spectre и Meltdown.

С аппаратной частью он включает в себя лучшую поддержку графических процессоров AMD и поддержку Secure Encrypted Virtualization от AMD, которая позволяет шифровать  память виртуальной машины, и даже гипервизор не может получить к ней доступ.

Легкий доступ к Metasploit — Kali Linux 2018.2

Если вы писатель эксплойтов, вот вам хорошая новость. Начиная с Metasploit-framework_4.16.34-0kali2, скрипты, такие как pattern_create, pattern_offset, nasm_shell и т. д., могут быть вызваны напрямую, поскольку они включали ссылки на все из них в PATH, и они добавляются с msf-.

С предыдущей версией она была скрыта в / usr / share / metasploit-framework / tools / exploit / и не может быть вызвана напрямую с помощью msf-.

 # msf-<tab>
msf-egghunter msf-java_deserializer msf-nasm_shell
msf-exe2vba msf-jsobfu msf-pattern_create
msf-exe2vbs msf-makeiplist msf-pattern_offset
msf-find_badchars msf-md5_lookup msf-pdf2xdp
msf-halflm_second msf-metasm_shell msf-virustotal
msf-hmac_sha1_crack msf-msf_irb_shell
# msf-pattern_create -l 50 -s ABC,123
A1A2A3B1B2B3C1C2C3A1A2A3B1B2B3C1C2C3A1A2A3B1B2B3C1 

Kali Linux 2018.2 включает обновления для ряда приложений, включая Bloodhound, OWASP JoomScan, пакет Burp 1.7.32, reaver v1.6.4 и pixiewps v1.4.2.

Вы можете просмотреть полный список в списке изменений.

Как обновить — Kali Linux 2018.2

 # apt update
&& apt full-upgrade
# apt dist-upgrade
# reboot 

 

cryptoparty

Cryptography is typically bypassed, not penetrated.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

5e7fa976b0640d40